## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name pytenable

Name:           python-%{pypi_name}
Version:        1.4.11
Release:        %autorelease
Summary:        Python library to interface with Tenable's products and applications

License:        MIT
URL:            https://github.com/tenable/pytenable
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
pyTenable is intended to be a pythonic interface into the Tenable application
APIs. Further by providing a common interface and a common structure between
all of the various applications, we can ease the transition from the vastly
different APIs between some of the products.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(restfly)
BuildRequires:  python3-dateutil
BuildRequires:  python3dist(defusedxml)
BuildRequires:  python3dist(requests-pkcs12)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-vcr)
BuildRequires:  python3dist(pytest-datafiles)
BuildRequires:  python3dist(typing-extensions)
BuildRequires:  python3dist(semver)
BuildRequires:  python3dist(marshmallow)
BuildRequires:  python3-box
BuildRequires:  python3dist(responses)
%{?python_provide:%python_provide python3-%{pypi_name}}
 
%description -n python3-%{pypi_name}
pyTenable is intended to be a pythonic interface into the Tenable application
APIs. Further by providing a common interface and a common structure between
all of the various applications, we can ease the transition from the vastly
different APIs between some of the products.

# Fedora doesn't have the furo template
#%package -n python-%{pypi_name}-doc
#Summary:        Documentation for %{pypi_name}
#
#BuildRequires:  python3-sphinx
#
#%description -n python-%{pypi_name}-doc
#Documentation for %{pypi_name}.

%prep
%autosetup -n pyTenable-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build
#PYTHONPATH=${PWD} sphinx-build-3 docs html
#rm -rf html/.{doctrees,buildinfo,nojekyll}

%install
%py3_install

%check
%pytest -v tests -k "not docker"

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/tenable/
%{python3_sitelib}/pyTenable-%{version}-py*.egg-info
%exclude %{python3_sitelib}/tests

#%files -n python-%{pypi_name}-doc
#%doc html
#%license LICENSE

%changelog
* Tue Jan 10 2023 Fabian Affolter <mail@fabian-affolter.ch> 1.4.11-1
- Update to latest upstream release 1.4.11 (closes rhbz#2154294)

* Sun Dec 04 2022 Fabian Affolter <mail@fabian-affolter.ch> 1.4.10-1
- Update to latest upstream release 1.4.10 (closes rhbz#2141243)

* Sun Sep 18 2022 Fabian Affolter <mail@fabian-affolter.ch> 1.4.8-1
- Update to latest upstream release 1.4.8 (closes rhbz#2030078)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 20 2022 Python Maint <python-maint@redhat.com> 1.4.2-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Dec 04 2021 Fabian Affolter <mail@fabian-affolter.ch> 1.4.2-1
- Update to latest upstream release 1.4.2 (closes rhbz#2027822)

* Wed Aug 25 2021 Fabian Affolter <mail@fabian-affolter.ch> 1.3.3-1
- * Wed Aug 25 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.3-1 -
  Update to latest upstream release 1.3.3 (rhbz#1937399)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 1.2.7-2
- Rebuilt for Python 3.10

* Tue Mar 02 2021 Fabian Affolter <mail@fabian-affolter.ch> 1.2.7-1
- * Tue Mar 02 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.7-1 -
  Update to new upstream release 1.2.7 (#1934227)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 05 2021 Fabian Affolter <mail@fabian-affolter.ch> 1.2.6-1
- * Tue Jan 05 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.6-1 -
  Update to latest upstream release 1.2.6 (#1903811)

* Fri Oct 23 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.2.3-1
- * Fri Oct 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.3-1 -
  Update to latest upstream release 1.2.3 (#1875252)

* Fri Sep 25 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.2.2-1
- * Fri Sep 25 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.2-1 -
  Update to latest upstream release 1.2.2 (#1875252)

* Mon Aug 10 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.1.3-1
- * Mon Aug 10 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.3-1 -
  Fix FTBFS (rhbz#1865309) - Update to latest upstream release 1.1.3

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> 1.1.1-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> 1.1.1-2
- Rebuilt for Python 3.9

* Mon Apr 06 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.1.1-1
- * Thu Apr 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.1-1 -
  Remove configuration file for publishing - Remove standard library
  (rhbz#1815272) - Update to latest upstream release 1.1.1
